/*
 *=BEGIN SONGBIRD GPL
 *
 * This file is part of the Songbird web player.
 *
 * Copyright(c) 2005-2010 POTI, Inc.
 * http://www.songbirdnest.com
 *
 * This file may be licensed under the terms of of the
 * GNU General Public License Version 2 (the ``GPL'').
 *
 * Software distributed under the License is distributed
 * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
 * express or implied. See the GPL for the specific language
 * governing rights and limitations.
 *
 * You should have received a copy of the GPL along with this
 * program. If not, go to http://www.gnu.org/licenses/gpl.html
 * or write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 *=END SONGBIRD GPL
 */

#define SB_MUTABLEPROPERTYARRAY_DESCRIPTION                \
  "Songbird Mutable Property Array Implementation"
#define SB_MUTABLEPROPERTYARRAY_CID                        \
  { /* c7e88d66-5a02-4ab2-ba0b-375e802b05ea */             \
    0xc7e88d66,                                            \
    0x5a02,                                                \
    0x4ab2,                                                \
    { 0xba, 0x0b, 0x37, 0x5e, 0x80, 0x2b, 0x05, 0xea }     \
  }
#define SB_MUTABLEPROPERTYARRAY_CONTRACTID                 \
  "@songbirdnest.com/Songbird/Properties/MutablePropertyArray;1"

#define SB_PROPERTYFACTORY_DESCRIPTION                     \
  "Songbird Property Factory Implementation"
#define SB_PROPERTYFACTORY_CID                             \
  { /* 758565e2-bc7e-4ae5-bcbf-800fb0de7b18 */             \
    0x758565e2,                                            \
    0xbc7e,                                                \
    0x4ae5,                                                \
    { 0xbc, 0xbf, 0x80, 0x0f, 0xb0, 0xde, 0x7b, 0x18 }     \
  }
#define SB_PROPERTYFACTORY_CONTRACTID                      \
  "@songbirdnest.com/Songbird/Properties/PropertyFactory;1"

#define SB_PROPERTYMANAGER_DESCRIPTION                     \
  "Songbird Property Manager Implementation"
#define SB_PROPERTYMANAGER_CID                             \
  { /*{4BB394E4-83E5-4f0f-8413-3D8B7C2D2014}*/             \
    0x4bb394e4,                                            \
    0x83e5,                                                \
    0x4f0f,                                                \
    { 0x84, 0x13, 0x3d, 0x8b, 0x7c, 0x2d, 0x20, 0x14 }     \
  }
#define SB_PROPERTYMANAGER_CONTRACTID                      \
  "@songbirdnest.com/Songbird/Properties/PropertyManager;1"

#define SB_PROPERTYOPERATOR_DESCRIPTION                    \
  "Songbird Datetime Property Info Implementation"
#define SB_PROPERTYOPERATOR_CID                            \
  { /*{B2829D86-A53A-45fc-943E-03CB6DD83E4D}*/             \
    0xb2829d86,                                            \
    0xa53a,                                                \
    0x45fc,                                                \
    { 0x94, 0x3e, 0x3, 0xcb, 0x6d, 0xd8, 0x3e, 0x4d }      \
  }

#define SB_PROPERTYOPERATOR_CONTRACTID                     \
  "@songbirdnest.com/Songbird/Properties/Operator;1"

#define SB_DATETIMEPROPERTYINFO_DESCRIPTION                \
  "Songbird Datetime Property Info Implementation"
#define SB_DATETIMEPROPERTYINFO_CID                        \
  { /*{098679AF-D50B-41cf-BA16-C924D4A3F2DA}*/             \
    0x98679af,                                             \
    0xd50b,                                                \
    0x41cf,                                                \
    { 0xba, 0x16, 0xc9, 0x24, 0xd4, 0xa3, 0xf2, 0xda }     \
  }
#define SB_DATETIMEPROPERTYINFO_CONTRACTID                 \
  "@songbirdnest.com/Songbird/Properties/Info/Datetime;1"

#define SB_DURATIONPROPERTYINFO_DESCRIPTION                 \
  "Songbird Duration Property Info Implementation"
#define SB_DURATIONPROPERTYINFO_CID                         \
  { /*{063ed9e8-90ab-4d7f-990f-9ac99491C967}*/              \
    0x63ed9e8,                                              \
    0x90ab,                                                 \
    0x4d7f,                                                 \
    { 0x99, 0xf, 0x9a, 0xc9, 0x94, 0x91, 0xc9, 0x67 }       \
  }
#define SB_DURATIONPROPERTYINFO_CONTRACTID                  \
  "@songbirdnest.com/Songbird/Properties/Info/Duration;1"



#define SB_NUMBERPROPERTYINFO_DESCRIPTION                  \
  "Songbird Number Property Info Implementation"
#define SB_NUMBERPROPERTYINFO_CID                          \
  { /*{6A184D70-219E-4de4-85BC-8AA885C90306}*/             \
    0x6a184d70,                                            \
    0x219e,                                                \
    0x4de4,                                                \
    { 0x85, 0xbc, 0x8a, 0xa8, 0x85, 0xc9, 0x3, 0x6 }       \
  }
#define SB_NUMBERPROPERTYINFO_CONTRACTID                   \
  "@songbirdnest.com/Songbird/Properties/Info/Number;1"

#define SB_TEXTPROPERTYINFO_DESCRIPTION                    \
  "Songbird Text Property Info Implementation"
#define SB_TEXTPROPERTYINFO_CID                            \
  { /*{6944C13D-B354-4c73-8B05-5EE553F0EE5E}*/             \
    0x6944c13d,                                            \
    0xb354,                                                \
    0x4c73,                                                \
    { 0x8b, 0x5, 0x5e, 0xe5, 0x53, 0xf0, 0xee, 0x5e }      \
  }
#define SB_TEXTPROPERTYINFO_CONTRACTID                     \
  "@songbirdnest.com/Songbird/Properties/Info/Text;1"

#define SB_URIPROPERTYINFO_DESCRIPTION                \
  "Songbird URI Property Info Implementation"
#define SB_URIPROPERTYINFO_CID                        \
  { /*{DD3224A5-0199-48c0-A653-0DA698940A5A}*/        \
    0xdd3224a5,                                       \
    0x0199,                                            \
    0x48c0,                                           \
    { 0xa6, 0x53, 0xd, 0xa6, 0x98, 0x94, 0xa, 0x5a }  \
  }
#define SB_URIPROPERTYINFO_CONTRACTID                 \
  "@songbirdnest.com/Songbird/Properties/Info/URI;1"

#define SB_BOOLEANPROPERTYINFO_DESCRIPTION                 \
  "Songbird Boolean Property Info Implementation"
#define SB_BOOLEANPROPERTYINFO_CID                         \
  { /*{C74B80C3-A830-4B25-95E2-4F4090335918}*/             \
    0xc74b80c3,                                            \
    0xa830,                                                \
    0x4b25,                                                \
    { 0x95, 0xe2, 0x4f, 0x40, 0x90, 0x33, 0x59, 0x18 }     \
  }
#define SB_BOOLEANPROPERTYINFO_CONTRACTID                  \
  "@songbirdnest.com/Songbird/Properties/Info/Boolean;1"

#define SB_SBIMAGELABELLINKPROPERTYINFO_DESCRIPTION \
  "Songbird Image Label Link Property Info Implementation"
#define SB_SBIMAGELABELLINKPROPERTYINFO_CID         \
  { /* {c69a9300-c0a5-11df-851a-0800200c9a66} */       \
    0xc69a9300,                                        \
    0xc0a5,                                            \
    0x11df,                                            \
    { 0x85, 0x1a, 0x08, 0x00, 0x20, 0x0c, 0x9a, 0x66 } \
  }
#define SB_SBIMAGELABELLINKPROPERTYINFO_CONTRACTID  \
  "@songbirdnest.com/Songbird/Properties/Info/ImageLabelLink;1"

#define SB_DOWNLOADBUTTONPROPERTYBUILDER_DESCRIPTION   \
  "Songbird Download Button Property Builder"
#define SB_DOWNLOADBUTTONPROPERTYBUILDER_CID           \
  { /*{186a6af0-ebc3-4147-8cc3-19d92c991efc}*/         \
    0x186a6af0,                                        \
    0xebc3,                                            \
    0x4147,                                            \
    { 0x8c, 0xc3, 0x19, 0xd9, 0x2c, 0x99, 0x1e, 0xfc } \
  }
#define SB_DOWNLOADBUTTONPROPERTYBUILDER_CONTRACTID    \
  "@songbirdnest.com/Songbird/Properties/Builder/DownloadButton;1"

#define SB_STATUSPROPERTYBUILDER_DESCRIPTION           \
  "Songbird Status Property Builder"
#define SB_STATUSPROPERTYBUILDER_CID                   \
  {                                                    \
    0x808a5a46,                                        \
    0x0065,                                            \
    0x4db4,                                            \
    {0x8c, 0x45, 0x04, 0x5c, 0xf9, 0xeb, 0xfe, 0x4d}   \
  }

#define SB_STATUSPROPERTYBUILDER_CONTRACTID            \
  "@songbirdnest.com/Songbird/Properties/Builder/StatusProperty;1"

#define SB_SIMPLEBUTTONPROPERTYBUILDER_DESCRIPTION     \
  "Songbird Simple Button Property Builder"
#define SB_SIMPLEBUTTONPROPERTYBUILDER_CID             \
  { /*{fe7c5376-e346-45eb-8660-ee1e3b8e1593}*/         \
    0xfe7c5376,                                        \
    0xe346,                                            \
    0x45eb,                                            \
    { 0x86, 0x60, 0xee, 0x1e, 0x3b, 0x8e, 0x15, 0x93 } \
  }
#define SB_SIMPLEBUTTONPROPERTYBUILDER_CONTRACTID      \
  "@songbirdnest.com/Songbird/Properties/Builder/SimpleButton;1"

#define SB_IMAGEPROPERTYBUILDER_DESCRIPTION            \
  "Songbird Image Property Builder"
#define SB_IMAGEPROPERTYBUILDER_CID                    \
  { /*{90253df9-a6aa-4060-8849-c4369b6d00d5}*/         \
    0x90253df9,                                        \
    0xa6aa,                                            \
    0x4060,                                            \
    { 0x88, 0x49, 0xc4, 0x36, 0x9b, 0x6d, 0x00, 0xd5 } \
  }
#define SB_IMAGEPROPERTYBUILDER_CONTRACTID             \
  "@songbirdnest.com/Songbird/Properties/Builder/Image;1"

#define SB_SBIMAGELABELLINKPROPERTYBUILDER_DESCRIPTION \
  "Songbird Image Label Link Property Builder"
#define SB_SBIMAGELABELLINKPROPERTYBUILDER_CID         \
  { /* {bec530f1-e514-4291-9b63-732725c7a426} */       \
    0xbec530f1,                                        \
    0xe514,                                            \
    0x4291,                                            \
    { 0x9b, 0x63, 0x73, 0x27, 0x25, 0xc7, 0xa4, 0x26 } \
  }
#define SB_SBIMAGELABELLINKPROPERTYBUILDER_CONTRACTID  \
  "@songbirdnest.com/Songbird/Properties/Builder/ImageLabelLink;1"

#define SB_RATINGPROPERTYBUILDER_DESCRIPTION           \
  "Songbird Rating Property Builder"
#define SB_RATINGPROPERTYBUILDER_CID                   \
  { /*{bd281dd7-d8c1-47ba-ae4f-5e3d126e708e}*/         \
    0xbd281dd7,                                        \
    0xd8c1,                                            \
    0x47ba,                                            \
    { 0xae, 0x4f, 0x5e, 0x3d, 0x12, 0x6e, 0x70, 0x8e } \
  }
#define SB_RATINGPROPERTYBUILDER_CONTRACTID            \
  "@songbirdnest.com/Songbird/Properties/Builder/Rating;1"

#define SB_ORIGINPAGEIMAGEPROPERTYBUILDER_DESCRIPTION            \
  "Songbird Image Property Builder"
#define SB_ORIGINPAGEIMAGEPROPERTYBUILDER_CID                    \
  {   /*{91855adc-b618-4483-9b14-6a19b40c4253}*/                 \
    0x91855adc,                                                  \
    0xb618,                                                      \
    0x4483,                                                      \
    { 0x9b, 0x14, 0x6a, 0x19, 0xb4, 0xc, 0x42, 0x53 }            \
  }
#define SB_ORIGINPAGEIMAGEPROPERTYBUILDER_CONTRACTID             \
  "@songbirdnest.com/Songbird/Properties/Builder/OriginPageImage;1"

#define SB_STORAGEPROPERTYUNITCONVERTER_DESCRIPTION              \
  "Songbird Storage Property Unit Converter"
#define SB_STORAGEPROPERTYUNITCONVERTER_CID                      \
  {   /*{f07898c0-1dd1-11b2-8f36-c49aa3409f12}*/                 \
    0xf07898c0,                                                  \
    0x1dd1,                                                      \
    0x11b2,                                                      \
    { 0x8f, 0x36, 0xc4, 0x9a, 0xa3, 0x40, 0x9f, 0x12 }           \
  }
#define SB_STORAGEPROPERTYUNITCONVERTER_CONTRACTID               \
  "@songbirdnest.com/Songbird/Properties/UnitConverter/Storage;1"

